Loading...
Searching...
No Matches
janus_http_msg Struct Reference
Collaboration diagram for janus_http_msg:
[legend]

## Data Fields

struct MHD_Connection * | connection
volatile int | suspended
volatile void * | longpoll
int | max_events
char * | acro
char * | acrh
char * | acrm
char * | xff
char * | contenttype
char * | payload
size_t | len
gint64 | session_id
char * | response
size_t | resplen
GSource * | timeout
volatile gint | timeout_flag
volatile gint | destroyed
janus_refcount | ref

## Field Documentation

## acrh

char* janus_http_msg::acrh

## acrm

char* janus_http_msg::acrm

## acro

char* janus_http_msg::acro

## connection

struct MHD_Connection* janus_http_msg::connection

## contenttype

char* janus_http_msg::contenttype

## destroyed

volatile gint janus_http_msg::destroyed

## len

size_t janus_http_msg::len

## longpoll

volatile void* janus_http_msg::longpoll

## max_events

int janus_http_msg::max_events

## payload

char* janus_http_msg::payload

## ref

janus_refcount janus_http_msg::ref

## resplen

size_t janus_http_msg::resplen

## response

char* janus_http_msg::response

## session_id

gint64 janus_http_msg::session_id

## suspended

volatile int janus_http_msg::suspended

## timeout

GSource* janus_http_msg::timeout

## timeout_flag

volatile gint janus_http_msg::timeout_flag

## xff

char* janus_http_msg::xff

The documentation for this struct was generated from the following file:

- janus_http.c